### Class

# Phosh IdleDBusObjectSkeleton

since: 0

#### Description [src]

    class Phosh.IdleDBusObjectSkeleton : Gio.DBusObjectSkeleton
      implements Gio.DBusObject, Phosh.IdleDBusObject {
      /* No available fields */
    }

The `PhoshIdleDBusObjectSkeleton` structure contains only private data and should only be accessed using the provided API.

Available since: 0

#### Ancestors

- GDBusObjectSkeleton
- GObject

#### Implements

- GDBusObject
- PhoshIdleDBusObject

#### Constructors

###### phosh_idle_dbus_object_skeleton_new

Creates a new skeleton object.

since: 0

#### Instance methods

###### phosh_idle_dbus_object_skeleton_set_idle_monitor

Sets the `PhoshIdleDBusIdleMonitor` instance for the D-Bus interface org.gnome.Mutter.IdleMonitor on `object`.

since: 0

##### Methods inherited from GDBusObjectSkeleton (5)

###### g_dbus_object_skeleton_add_interface

Adds `interface_` to `object`.

unstable since: 2.30

###### g_dbus_object_skeleton_flush

This method simply calls `g_dbus_interface_skeleton_flush()` on all interfaces belonging to `object`. See that method for when flushing is useful.

unstable since: 2.30

###### g_dbus_object_skeleton_remove_interface

Removes `interface_` from `object`.

unstable since: 2.30

###### g_dbus_object_skeleton_remove_interface_by_name

Removes the `GDBusInterface` with `interface_name` from `object`.

unstable since: 2.30

###### g_dbus_object_skeleton_set_object_path

Sets the object path for `object`.

unstable since: 2.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GDBusObject (3)

###### g_dbus_object_get_interface

Gets the D-Bus interface with name `interface_name` associated with `object`, if any.

unstable since: 2.30

###### g_dbus_object_get_interfaces

Gets the D-Bus interfaces associated with `object`.

unstable since: 2.30

###### g_dbus_object_get_object_path

Gets the object path for `object`.

unstable since: 2.30

##### Methods inherited from PhoshIdleDBusObject (2)

###### phosh_idle_dbus_object_get_idle_monitor

Gets the `PhoshIdleDBusIdleMonitor` instance for the D-Bus interface org.gnome.Mutter.IdleMonitor on `object`, if any.

since: 0

###### phosh_idle_dbus_object_peek_idle_monitor

Like `phosh_idle_dbus_object_get_idle_monitor()` but doesn’t increase the reference count on the returned object.

since: 0

#### Properties

##### Properties inherited from GDBusObjectSkeleton (1)

###### Gio.DBusObjectSkeleton:g-object-path

The object path where the object is exported.

unstable since: 2.30

##### Properties inherited from PhoshIdleDBusObject (1)

###### PhoshIdleDBusObject:idle-monitor

The `PhoshIdleDBusIdleMonitor` instance corresponding to the D-Bus interface org.gnome.Mutter.IdleMonitor, if any.

since: 0

#### Signals

##### Signals inherited from GDBusObjectSkeleton (1)

###### GDBusObjectSkeleton::authorize-method

Emitted when a method is invoked by a remote caller and used to determine if the method call is authorized.

unstable since: 2.30

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

##### Signals inherited from GDBusObject (2)

###### GDBusObject::interface-added

Emitted when `interface` is added to `object`.

unstable since: 2.30

###### GDBusObject::interface-removed

Emitted when `interface` is removed from `object`.

unstable since: 2.30

#### Class structure

    struct PhoshIdleDBusObjectSkeletonClass {
      GDBusObjectSkeletonClass parent_class;

    }

Class structure for `PhoshIdleDBusObjectSkeleton`.

###### Class members

`parent_class: GDBusObjectSkeletonClass`

  The parent class.